# cordova-plugin-cipherlab-barcode-reader
Barcode Reader Cordova Plugin for CipherLab Android Mobile Devices

## How to use
### Install
```bash
cordova plugin add cordova-plugin-cipherlab-barcode-reader
```

For Ionic:

```bash
ionic cordova plugin add cordova-plugin-cipherlab-barcode-reader
```

### Vanilla JS (Cordova)
Set barcode scan listener in onDeviceReady callback.

When barcode scanned event triggered, you can get decoded barcode data, symbology and code type in listener callback argument.
```js
function onDeviceReady() {
    cordova.plugins.CipherLabBarcodeReader.setBarcodeScannedListener((data) => {
        document.getElementById('barcode').innerHTML = data.barcode;
        document.getElementById('symbology').innerHTML = data.symbology;
        document.getElementById('codeType').innerHTML = data.codeType;
    }, (error) => {
        console.log(error);
    });
}
```

You can also clear barcode scan listener if needed. You can set the listener again with the code above.
```js
document.getElementById('clearBarcodeScannedListener').addEventListener('click', function(){
    cordova.plugins.CipherLabBarcodeReader.clearBarcodeScannedListener();
});
```

### Angular (Ionic)
Set barcode scan listener in component's lifecycle hook.

Similarly, define your callback method for clearing scan listener if needed.
```ts
// declare cordova
declare let cordova: any;

// set scan listener
ngAfterViewInit() {
    cordova.plugins.CipherLabBarcodeReader.setBarcodeScannedListener((data) => {
        this.barcode = data.barcode;
        this.symbology = data.symbology;
        this.codeType = data.codeType;
        this.changeDetector.detectChanges();   
    }, (error) => {
        console.log(error);
    });
}

// clear barcode scan listener
onClearBarcodeListenerClicked() {
    cordova.plugins.CipherLabBarcodeReader.clearBarcodeScannedListener();
}
```

## Links
For more detail about CipherLab Android Devices, please visit [CipherLab Official Website](https://www.cipherlab.com/)